Version: 3.2.1
Release: 1%{?dist}
URL: https://github.com/ryanoasis/nerd-fonts

%global foundry           ryanoasis
%global fontlicense       OFL
%global fontlicenses      LICENSE

%global fontfamily        Symbols Nerd Font
%global fontsummary       Iconic font aggregator, collection, & patcher
%global fonts             *.ttf
%global fontdocs          README.md
%global fontconfs         10-nerd-font-symbols.conf %{SOURCE10}
%global fontdescription   %{expand:
Nerd Fonts is a project that patches developer targeted fonts with a high number of glyphs (icons).
Specifically to add a high number of extra glyphs from popular 'iconic fonts' such as
Font Awesome, Devicons, Octicons, and others.

This package contains the symbols only
}

Source0:        https://github.com/ryanoasis/nerd-fonts/releases/download/v%{version}/NerdFontsSymbolsOnly.tar.xz
Source1:        https://github.com/ryanoasis/nerd-fonts/raw/v%{version}/10-nerd-font-symbols.conf
Source10:       64-%{fontpkgname}.conf

%fontpkg

%prep
%setup -c
sed -e 's/fonts.dtd/urn:fontconfig:fonts.dtd/g' %{SOURCE1} > 10-nerd-font-symbols.conf

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
* Fri Apr 12 2024 Olivier Samyn <code@oleastre.be> - 3.2.1-1
- new version

* Sun Apr 07 2024 Olivier Samyn <code@oleastre.be> - 3.2.0-1
- new version

* Mon Jan 15 2024 Olivier Samyn 🎻 <code@oleastre.be> - 3.1.1-1
- New upstream release
- Add upstream fontconfig

* Mon Jun 05 2023 Olivier Samyn 🎻 <code@oleastre.be> - 3.0.2-1
- new version

* Tue May 16 2023 Olivier Samyn <code@oleastre.be> - 3.0.1-1
- Initial package
